# 重庆医科大学远程血压测量平台文档

项目总体分为三个部分：小程序，后台管理系统及服务端

三个部分可以分开部署，前后端分离架构

## 小程序

小程序整体使用JavaScript开发采用微信的小程序开发框架，功能有

- 用户（患者）登录
- 用户可以绑定血压计序列号
- 服务器收到测压信息后，将信息推送给微信小程序

## 后台管理系统

后台管理系统使用Vue作为前端框架进行开发，代码由typescript，vue.js编写，功能有

- 医生登陆
- 图形化展示血压数据
- 查看患者的血压数据及导出表格
- 管理员可以管理和添加或删除医生

项目总体
- public 静态资源
- src 源代码
    - api 接口定义及请求封装
    - assets 内部资源
    - components vue组件，包括每个页面的组件，例如设置，统计图，登录页面等
    - composables vue3的composables
    - router 路由定义
    - view 每个大页面的入口

部署方法
- 使用`npm run build`编译生成dist文件夹，将dist文件夹放到服务器指定目录，启动即可
- 在nginx中配置路由，把/的流量全部location到dist文件夹下
- 打开浏览器访问目标服务器的http端口，如果出现登录页面则说明前端部署成功

## 服务端

服务端使用go语言进行开发，http框架为hertz，数据库使用sqlite，可以满足上千人同时测压的需求，主要功能是满足小程序和后台管理系统的请求服务，例如用户登录，血压上传和保存，血压警报推送，用户信息储存

项目总体结构为
- 程序入口
- api 接口
- router 路由定义
- config 配置，指定数据库，密码，token等加盐加密配置
- dao 封装的数据库操作
- middleware 身份鉴权中间件
- resp 返回数据的封装
- service 业务逻辑
- utils 工具函数

部署方法
- 使用`go build cmd/main.go`编译生成可执行文件，将可执行文件放到服务器指定目录，启动即可
- 在nginx中配置路由，把~/be/^的流量全部代理到http://127.0.0.1:8888上
- 打开浏览器访问目标服务器的http端口，/be/ping，如果返回pong则说明服务端部署成功